> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Token

> Register a new token for the project. The token contract must already be deployed on-chain.



## OpenAPI

````yaml /apis/admin/openapi.json post /api/external/v1/tokens/create
openapi: 3.1.0
info:
  title: Magna Admin API
  version: 1.0.0
  description: >-
    The private, server-to-server API for managing allocations, funding and
    claims, transactions, portals, and token data. Authenticated with a project
    API key sent in the `x-magna-api-token` header.
servers:
  - url: https://app.magna.so
    description: Production
security:
  - apiToken: []
paths:
  /api/external/v1/tokens/create:
    post:
      tags:
        - Tokens
      summary: Create Token
      description: >-
        Register a new token for the project. The token contract must already be
        deployed on-chain.
      operationId: postTokensCreate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                symbol:
                  type:
                    - string
                  minLength: 1
                chainId:
                  type:
                    - string
                  minLength: 1
                  format: uuid
                address:
                  type:
                    - string
                    - 'null'
                  minLength: 1
                decimals:
                  type:
                    - integer
                  minimum: 0
                  maximum: 18
                usdPrice:
                  type:
                    - number
                    - 'null'
                  exclusiveMinimum: 0
                totalSupply:
                  type:
                    - number
                    - 'null'
                  exclusiveMinimum: 0
                  maximum: 1000000000000000000
                logo:
                  type:
                    - string
                    - 'null'
                  minLength: 1
                mintDate:
                  type:
                    - string
                    - 'null'
                  minLength: 1
                  format: date-time
                isNative:
                  type:
                    - boolean
              required:
                - symbol
                - chainId
                - decimals
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isProcessed:
                    type: boolean
                  result:
                    description: Endpoint-specific result payload.
              example:
                isProcessed: true
                result:
                  id: tok...uuid
                  symbol: MAGNA
                  chainId: ch...uuid
                  address: 0x...
                  decimals: 18
                  usdPrice: 1.25
                  totalSupply: null
                  logo: null
                  mintDate: null
                  isNative: false
                  projectId: p...uuid
                  createdAt: '2024-04-15T21:26:21.000Z'
        '400':
          description: Validation error
        '401':
          description: Missing or invalid API token
        '403':
          description: API token lacks the required scope or project access
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: x-magna-api-token

````